Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 537569 - File menu and Filter field in about:config have same accesskey
: File menu and Filter field in about:config have same accesskey
[testday-20110603][FIXED by bug 502492]
Product: Firefox
Classification: Client Software
Component: Keyboard Navigation (show other bugs)
: Trunk
: All All
: -- minor (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: Dão Gottwald [:dao]
Depends on: 502492
  Show dependency treegraph
Reported: 2010-01-02 19:46 PST by severinbreuer
Modified: 2012-01-30 11:28 PST (History)
2 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description severinbreuer 2010-01-02 19:46:02 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2b5) Gecko/20091204 Firefox/3.6b5 (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2b5) Gecko/20091204 Firefox/3.6b5 (.NET CLR 3.5.30729)

The File menu and the Filter field in the about:config window both have F as their accesskey, thus preventing use of the accesskey combo to access the latter.

Reproducible: Always

Steps to Reproduce:
1. Open about:config.
2. Press Alt+F (in windows. Don't know if this conflict exists in Mac or Linux).
Actual Results:  
File menu opens.

Expected Results:  
This is, I suppose, expected behavior for typing Alt+F. Menu key combos should probably have priority over any lower-level conflicting key combos. The overall expected behavior would be the Filter field having a different accesskey that doesn't conflict with any other default browser accesskeys (I, L, and R would appear to work sans conflict).

The Filter field should be assigned a different accesskey so that it too can be accessed from the keyboard. If no such available letter can be found, the accesskey indicator (i.e. the underlined F) should be removed from the about:config Filter field.

As it is, the Filter field is still available via keyboard through the use of the Tab key, and most users won't encounter this problem, so I'm classifying this as Minor. But menu accesskeys are a pretty basic aspect of program functionality and accessibility, and this should be an easy fix, so I hope this is resolved.
Comment 1 therube 2010-05-25 22:33:27 PDT
I can confirm this also in SeaMonkey Trunk 2.1a2.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.3a5pre) Gecko/20100519 SeaMonkey/2.1a2pre
Comment 2 therube 2011-05-20 15:56:41 PDT
Just confirming the condition still exists in ...

Mozilla/5.0 (Windows NT 6.1; rv:2.0.1) Gecko/20110511 Firefox/4.0.1 SeaMonkey/2.1

Mozilla/5.0 (Windows NT 6.1; rv:2.0.1) Gecko/20100101 Firefox/4.0.1

Mozilla/5.0 (Windows NT 6.1; rv:6.0a1) Gecko/20110517 Firefox/6.0a1
Comment 3 :aceman 2011-06-03 13:13:10 PDT
Confirming on FF 6.0a2, english version on Linux. F letter in File and Filter are both underlined, but File is chosen on Alt-F.
Comment 4 :aceman 2011-06-03 13:20:05 PDT
This may get fixed by bug 502492 which proposes other string and shortcut for the filter.
Comment 5 :aceman 2011-11-28 05:43:36 PST
Fix for bug 502492 was merged for Firefox 11 today. Try in tomorrow's Nightly version if this problem here was solved too.
Comment 6 :aceman 2012-01-30 11:28:03 PST
The change to Search is stuck permanently, so this is not longer relevant.

Note You need to log in before you can comment on or make changes to this bug.